<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('randd_voting_paper_answers', function (Blueprint $table) {
            $table->foreign(['user_id'])->references(['id'])->on('users')->onUpdate('cascade')->onDelete('set null');
            $table->foreign(['vote_id'])->references(['id'])->on('randd_votings')->onUpdate('cascade')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('randd_voting_paper_answers', function (Blueprint $table) {
            $table->dropForeign('randd_voting_paper_answers_user_id_foreign');
            $table->dropForeign('randd_voting_paper_answers_vote_id_foreign');
        });
    }
};
